package org.jeecg.modules.okki.site.service;

import org.jeecg.modules.okki.site.dto.FeiShuRecordSheetDto;
import org.jeecg.modules.okki.site.dto.FeiShuSeoTeamRecordSheetDto;


/**
 * @author Chen
 */
public interface IFeiShuSheetService {

    /**
     * 更新飞书表格
     *
     * @param recordSheetDto
     * @return
     */
    public boolean updateFeiShuTableSheetField(FeiShuRecordSheetDto recordSheetDto);


    /**
     * 创建seo客户外链汇总表
     *
     * @param recordSheetDto
     */
    public boolean createFeiShuSeoExternalBitable(FeiShuSeoTeamRecordSheetDto recordSheetDto);

    /**
     * 创建seo客户-showlist表
     *
     * @param recordSheetDto
     */
    public boolean createFeiShuSeoShowlistBitable(FeiShuSeoTeamRecordSheetDto recordSheetDto);
}
