package org.jeecg.modules.okki.site.param;

import lombok.Data;

import java.io.Serializable;

@Data
public class OkkiSiteParam implements Serializable {
    private static final long serialVersionUID = 1L;

    /**站点id*/
    private String site_id;
    /**公司名称*/
    private String company_name = "";
    /**初始化的域名*/
    private String domain = "";
    /**联系方式*/
    private String tel = "";
    /**联系人*/
    private String contact = "";
    /**邮箱*/
    private String email = "";
    /**公司名英⽂简称*/
    private String enname = "";
    /**套餐名*/
    private String tc_name = "OKKI Shops Smart(2023)";
    /**套餐周期，单位⽉*/
    private Integer tc_period = 12;
    /**站点选择的⼩语种语⾔*/
    private String tc_language = "";
    /**备注*/
    private String remark = "";
}
