package org.jeecg.modules.okki.site.service;

/**
 * @author Chen
 */
public interface IFeiShuMsgService {

    /**
     * 发送同步-飞书消息
     *
     * @param customerName
     * @param siteId
     * @param planName
     * @param syncStatus
     */
    public void sendSyncFeiShuSheetMsg(String customerName, String siteId, String planName, String syncStatus);

    /**
     * 发送更新-飞书消息
     *
     * @param customerName
     * @param siteId
     * @param groupName
     * @param syncStatus
     */
    public void sendUpdateFeiShuSheetMsg(String customerName, String siteId, String groupName, String syncStatus);

    /**
     * 发送创建群聊-飞书消息
     *
     * @param customerName
     * @param siteId
     * @param feiShuGroupName
     * @param status
     */
    public void sendCreateFeiShuGroupMsg(String customerName, String siteId, String feiShuGroupName, String status);

    /**
     * 发送同步外链消息
     *
     * @param customerName
     * @param feiShuUnionId
     * @param siteId
     * @param tableLink
     * @param status
     */
    public void sendSyncSeoExternalLinkMsg(String customerName, String feiShuUnionId, String siteId, String tableLink, String status);

    /**
     * 创建showlist基表消息通知
     *
     * @param customerName
     * @param siteId
     * @param tableLink
     * @param status
     */
    public void sendCreateSeoShowlistTableLinkMsg(String customerName, String feiShuUnionId, String siteId, String tableLink, String status);
}
