package org.jeecg.modules.okki.siteuser.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: okki_site_user
 * @Author: jeecg-boot
 * @Date:   2024-11-15
 * @Version: V1.0
 */
@Data
@TableName("okki_site_user")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="okki_site_user对象", description="okki_site_user")
public class OkkiSiteUser implements Serializable {
    private static final long serialVersionUID = 1L;

	/**siteId*/
	@Excel(name = "siteId", width = 15)
    @ApiModelProperty(value = "siteId")
    private java.lang.Integer siteId;
	/**类型*/
	@Excel(name = "类型", width = 15)
    @ApiModelProperty(value = "类型")
    private java.lang.String type;
	/**用户id*/
	@Excel(name = "用户id", width = 15)
    @ApiModelProperty(value = "用户id")
    private java.lang.Integer userId;

    @TableField(exist = false)
    private String nickname;

    @TableField(exist = false)
    private String account;

    @TableField(exist = false)
    private String id;

    @TableField(exist = false)
    private String openId;
}
