package org.jeecg.modules.okki.siteuser.service;

import org.jeecg.modules.okki.siteuser.entity.OkkiSiteUser;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: okki_site_user
 * @Author: jeecg-boot
 * @Date:   2024-11-15
 * @Version: V1.0
 */
public interface IOkkiSiteUserService extends IService<OkkiSiteUser> {

    /**
     * 获取站点用户信息
     * @return
     */
    public List<OkkiSiteUser> getSiteUserInfoBySiteId(Integer siteId);


    /**
     * 获取站点用户信息
     * @return
     */
    public List<OkkiSiteUser> getSiteUserInfoByUserId(Integer userId);
}
